0 Replies Latest reply on Apr 1, 2016 8:36 AM by jacqkl

    Who knows how to get an amd driver working on RedHat 7 (64bit)

    jacqkl

      My hardware is a DELL PRECISION M6800, and according to the bill, equipped with an  "AMD FirePro M6100 with 2GB GDDR5" and running RHEL 6.7.

      I was able to "follow" the RHES 6.4 to 6.7 upgrades, my latest and working amd driver for RHEL 6.7 is  fglrx64_p_i_c-15.20.1046-1.x86_64.rpm

      which I did build from the downloaded file amd-driver-installer-15.20.1046-x86.x86_64.zip.

       

      Now I installed RHEL 7.2, but I am unable to get a working amd driver.

      I tried it with 15.201.2401linuxmobilelegacyworkstationdell.zip and also with the older amd-driver-installer-15.20.1046-x86.x86_64.zip.

      Always the same problem, the built .rpm cannot be installed because of

       

      # rpm -ivh --test fglrx64_p_i_c-15.201.2401-1.x86_64.rpm

      error: Failed dependencies:

          ld-linux.so.2 is needed by fglrx64_p_i_c-15.201.2401-1.x86_64

          ld-linux.so.2(GLIBC_2.3) is needed by fglrx64_p_i_c-15.201.2401-1.x86_64

          libX11.so.6 is needed by fglrx64_p_i_c-15.201.2401-1.x86_64

          libXext.so.6 is needed by fglrx64_p_i_c-15.201.2401-1.x86_64

          libc.so.6 is needed by fglrx64_p_i_c-15.201.2401-1.x86_64

          libc.so.6(GLIBC_2.0) is needed by fglrx64_p_i_c-15.201.2401-1.x86_64

          libc.so.6(GLIBC_2.1) is needed by fglrx64_p_i_c-15.201.2401-1.x86_64

          libc.so.6(GLIBC_2.1.3) is needed by fglrx64_p_i_c-15.201.2401-1.x86_64

          ............................

          ............................

       

      I also tried the "Install Driver 15.201.2401 on X.Org 6.9 or later 64-bit" option, but at reboot, blank screen; X server doesn't work.

       

      Any help welcome ....